## DELETE Beneficial Owner

### Endpoint

`DELETE https://api-sandbox.dwolla.com/beneficial-owners/{id}`

### cURL Example

```bash
DELETE https://api-sandbox.dwolla.com/beneficial-owners/692486f8-29f6-4516-a6a5-c69fd2ce854c
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
```

### Node.js Example

```javascript
// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var beneficialOwnerUrl = "https://api-sandbox.dwolla.com/beneficial-owners/692486f8-29f6-4516-a6a5-c69fd2ce854c";

dwolla.delete(beneficialOwnerUrl);
```

### Python Example

```python
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
beneficial_owner_url = 'https://api-sandbox.dwolla.com/beneficial-owners/692486f8-29f6-4516-a6a5-c69fd2ce854c'

app_token.delete(beneficial_owner_url)
```

### PHP Example

```php
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$beneficialOwnersApi = new DwollaSwagger\BeneficialownersApi($apiClient);
$beneficialOwner = 'https://api-sandbox.dwolla.com/beneficial-owners/692486f8-29f6-4516-a6a5-c69fd2ce854c';
$deletedBeneficialOwner = $beneficialOwnersApi->deleteById($beneficialOwner);
?>
```

### Ruby Example

```ruby
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
beneficial_owner_url = 'https://api-sandbox.dwolla.com/beneficial-owners/692486f8-29f6-4516-a6a5-c69fd2ce854c'

app_token.delete beneficial_owner_url
```

### Response Codes

- **200**: Successful operation
- **404**: Beneficial owner not found

### Responses

Success response:

```json
{}
```

Error response:

```json
{
  "code": "not_found",
  "message": "Beneficial owner not found."
}
```

### Authorizations

#### Authorization
- **Type**: `string`
- **Location**: `header`
- **Required**: Yes
- **Description**: The access token received from the authorization server in the OAuth 2.0 flow.

### Headers

#### Accept
- **Type**: `enum<string>`
- **Default**: `application/vnd.dwolla.v1.hal+json`
- **Required**: Yes
- **Description**: The media type of the response. Must be `application/vnd.dwolla.v1.hal+json`.

### Path Parameters

#### id
- **Type**: `string`
- **Required**: Yes
- **Description**: Beneficial owner unique identifier.
